org.eclipse.emf.cdo.spi.common.revision

## Interface InternalCDORevisionManager.RevisionLocker

- All Known Subinterfaces:
    InternalCDOSession
  Enclosing interface:
    InternalCDORevisionManager

      public static interface InternalCDORevisionManager.RevisionLocker

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acquireAtomicRequestLock(java.lang.Object key)`
    `void` | `releaseAtomicRequestLock(java.lang.Object key)`

- - ### Method Detail

    - #### acquireAtomicRequestLock

          void acquireAtomicRequestLock(java.lang.Object key)

    - #### releaseAtomicRequestLock

          void releaseAtomicRequestLock(java.lang.Object key)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html